Subject: bug#59445: 29.0.50; Tweak tree sitter faces in Java and TypeScript

From: Randy Taylor <[email-masked]>
Date: Tue, 22 Nov 2022 02:39:28 +0000

On Monday, November 21st, 2022 at 07:13, Theodor Thornhill via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:

> 
> Hi Yuan!
> 
> I tweaked Java and TypeScript a little.
> 
> Feel free to apply when you have the time :)
> 
> Theo

Looks good.

For java-ts-mode.el can you show examples of what bracket and delimiter highlight with your changes? I couldn't get them to highlight anything when I tested and I had the exact same queries as you, hence why I left them out of my patch. Similar thing occurred with sh-script.el.